<?php
session_start();
include "../../inc/config.php";
session_check();
switch ($_GET["act"]) {
  case "in":
  
  
  
  $data = array("tipo_gasto"=>$_POST["tipo_gasto"],"categoria_gasto_idcategoria_gasto"=>$_POST["categoria_gasto_idcategoria_gasto"],);
  
  
  
   
    $in = $db->insert("tipo_gasto",$data);
    
    if ($in=true) {
      echo "good";
    } else {
      return false;
    }
    break;
  case "delete":
    
    
    
    $db->delete("tipo_gasto","idtipo_gasto",$_GET["id"]);
    break;
  case "up":
   $data = array("tipo_gasto"=>$_POST["tipo_gasto"],"categoria_gasto_idcategoria_gasto"=>$_POST["categoria_gasto_idcategoria_gasto"],);
   
   
   

    
    $up = $db->update("tipo_gasto",$data,"idtipo_gasto",$_POST["id"]);
    if ($up=true) {
      echo "good";
    } else {
      return false; 
    }
    break;
  default:
    # code...
    break;
}

?>